/***************************************************************************
 *            size_check.c
 *
 *  Fri Oct 24 11:29:23 2003
 *  Copyright  2003  Phil Kett
 *  pkett@genesis-midi.com
 ****************************************************************************/


/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "../include/remsync.h"
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>

int size_check (char *file1, char *file2)
{
	struct stat file1stat, file2stat;
	int result1, result2;

	result1 = stat (file1, &file1stat);
	result2 = stat (file2, &file2stat);
	if (result1 != 0 || result2 != 0) {
		syslog(LOG_ERR,"Stat During Size check");
		_exit (-1);
	}
	if (file1stat.st_size == file2stat.st_size) {
		return 1;				//files are same size
	} else {
		return 0;
	}
}

long long int size (char *file) 
{
	struct stat filestat;
	int result;
	
	result = stat(file, &filestat);
	return filestat.st_size;
}
